module.exports = (sequelize, Sequelize) => {

    const modelo = sequelize.define("compra", {
        id_compra: { type: Sequelize.INTEGER, primaryKey: true, autoIncrement: true },
        id_producto: { type: Sequelize.INTEGER },
        costo: { type:Sequelize.DECIMAL(10,2) },
        precio: { type: Sequelize.DECIMAL(10,2) },
        cantidad: { type: Sequelize.INTEGER }
    }, {
        timestamps: true,
        paranoid: false,
        freezeTableName: false,
        tableName: 'compra'
    });

    return modelo;
};
